

**# 题目：新一轮农地确权与中国粮食安全——基于农地流转市场化转型的观察视角
*-------------------------------表1 描述性统计----------------------------------
  use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
     logout, save(表1 各变量描述性统计量) excel replace: tabstat 粮食总产量 did 农地资源配置 签订耕地流转合同数量 三十亩农户数 市场化指数 社会化服务 耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量 ,s(mean sd) f(%9.2f) c(s)

*-------------------------------表2 基准回归-----------------------------------
  use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
  destring 年份 , replace
  destring 地区 , replace
  global cv "耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量"
  reghdfe 粮食总产量 did  , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m1
  reghdfe 粮食总产量 did $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m2
  outreg2 [m1 m2] using 表2基准回归.xls , replace  dec(3)  
  
*------------------------------图1 平行趋势检验--------------------------------
 
  use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
  global cv "耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量"
  * 回归前准备
  destring 年份 , replace
  destring 地区 , replace
   * 平行趋势检验 
 tab 确权年份 ,m
 tab 年份 ,m
 gen titleevent=年份-确权年份
 tab titleevent ,m
 * 做归并处理
 replace titleevent=-4 if titleevent<=-4
 tab titleevent,m
 
   forvalues i=4(-1)1{
  gen pre`i'=(titleevent==-`i')
  }
  gen current=(titleevent==0 )

  forvalues i=1(1)7{
  gen post`i'=(titleevent==`i')
  }
 
  gen  qper1=确权数万*pre1
  gen  qper2=确权数万*pre2
  gen qper3=确权数万*pre3
  gen qper4=确权数万*pre4
  gen qcurrent=确权数万*current
  gen qpost1=确权数万*post1
  gen qpost2=确权数万*post2
  gen qpost3=确权数万*post3
  gen qpost4=确权数万*post4
  gen qpost5=确权数万*post5
  gen qpost6=确权数万*post6
  gen qpost7=确权数万*post7
  
  reghdfe 粮食总产量 qper1 qper2 qper3 qcurrent qpost*  $cv ///
	      ,a(i.年份 i.地区) vce(cluster 地区)   
  parmest , format(estimate min95 max95 %8.3f p %8.3f)  ///
    saving("temp1.dta", replace)

  use "temp1.dta" , clear
  tab parm ,m
  keep if ustrregexm(parm, "qper|qcurrent|qpost" )  // 删掉了回归中的_cons
  gen num = _n
  gen minus = 4
  tab minus ,m
  fillmissing minus
  gen id = num - minus
  egen average = mean(estimate) if id < 0
  fillmissing average
  
  replace estimate = estimate - average
  gen ul = estimate + stderr * 1.96
  gen ll = estimate - stderr * 1.96
  for var estimate ul ll: replace X = 0 if mi(t)
 
#delimit ;
two (scatter estimate id, c(l) color(black) msize(small))
    (scatter ul id, c(l) m(none) color(gs10) lp(dash))
    (scatter ll id, c(l) m(none) color(gs10) lp(dash)),
    xtitle("")
    yline(0,lp(dash) lcolor(red) lwidth(0.2)) 
    xline(0,lp(dash) lcolor(red) lwidth(0.2)) 
	xscale(r(-3 7)) xtick(-3(1)4) xlabel(-3 -2 -1 0 1 2 3 4 5 6 7 ) 
    ytitle("土地确权估计系数")                                          
    xtitle("农地确权的相对时间")                                                  
    legend(off)
    graphregion(color(white)) 
    plotregion(lcolor(black));
#delimit cr
		  
* 导出平行趋势图
 graph export "图1 平行趋势检验.png", replace

 *----------------------------图2 安慰剂检验------------------------------------

  use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
  * 回归前准备
  destring 年份 , replace
  destring 地区 , replace
  global cv "耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量"
 permute did beta = _b[did] se = _se[did] df = e(df_r), reps(300) seed(123) saving("安慰剂检验数据0716.dta"): reghdfe  粮食总产量 did 耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量 , absorb(i.年份 i.地区) vce(cluster 地区) 
 use "安慰剂检验数据0716.dta" , clear
  set scheme s2color
   graph set window fontface     "Times New Roman"
   graph set window fontfacesans "宋体" 

 #delimit;
 dpplot beta, xline(0.2115956, lc(black*0.3) lp(dash))
              xline(0, lc(black*0.3) lp(solid))
			  xtitle("估计系数", size(*0.8))
			  xlabel(-0.25(0.1)0.25 , format(%9.1f) labsize(small))
			  ytitle("核密度" , size(*0.8))
			  ylabel(,nogrid format(%9.1f) labsize(small))
			  note("") caption("")
			  graphregion(fcolor(white)) ;
  #delimit cr
  * 画图
  graph export "图2 安慰剂检验.png" , width(500) replace

 * ----------------------------附录 稳健性检验-----------------------------------
   use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
  * 回归前准备
  destring 年份 , replace
  destring 地区 , replace
  global cv "耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量"
  * 1. 替换被解释变量衡量方式
  reghdfe 粮食总播种面积千公顷 did $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m1
  * 2. 排除其他政策干扰
  reghdfe 粮食总产量 did   $cv if 年份<2019 , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m2
  * 3. 控制事前趋势
  reghdfe 粮食总产量 did $cv 时间趋势项 , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m3 
    outreg2 [m1 m2 m3] using 附录稳健性检验.xls , replace  dec(3)  

 * -------------------------表3 机制检验结果 -----------------------------------
  use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
  * 回归前准备
  destring 年份 , replace
  destring 地区 , replace
  global cv "耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量"
  *（1）流转对象
  reghdfe 农地资源配置 did   $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m1
  *（2）交易契约
  reghdfe 签订耕地流转合同数量 did   $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m2
  *（3）经营规模
  reghdfe 三十亩农户数 did   $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m3
  outreg2 [m1 m2 m3] using 表3机制检验.xls , replace  dec(3)  

 *-----------------------表4 进一步的分析---------------------------------------
   use "D:\与耿鹏师兄合作的论文\粮食安全\2024.7.13\新一轮农地确权与中国粮食安全数据0716.dta" , clear
  * 回归前准备
  destring 年份 , replace
  destring 地区 , replace
  global cv "耕地总规模 工资性收入占比 第一产业占比 第二产业占比 亩均化肥用量 亩均农药用量 农业生产规模 农业机械总动力 农业劳动力数量"
 *（1）市场化水平
  gen did_market=did*市场化指数
  reghdfe 粮食总产量 did did_market 市场化指数 , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m1
  reghdfe 粮食总产量 did did_market 市场化指数  $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m2
  *（2）社会化服务
  reghdfe 粮食总产量 did 社会化服务×政策实施 社会化服务 , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m3
  reghdfe 粮食总产量 did 社会化服务×政策实施 社会化服务  $cv , absorb(i.年份 i.地区) vce(cluster 地区)
  est store m4
  outreg2 [m1 m2 m3 m4] using 表4进一步分析.xls , replace  dec(3)  
 
 
 
 
 